---
- name: Install nginx
  package:
    name: [ "nginx" ]
    state: present
  tags:
    - root-task

- name: Configure nginx.conf
  become: true
  template:
    src: "nginx.conf"
    dest: /etc/nginx/nginx.conf
  notify:
    - restart nginx
  tags:
    - root-task

- name: Configure nginx for search index.
  become: true
  template:
    src: search-index.conf.j2
    dest: /etc/nginx/sites-available/search-index.conf
  notify:
    - restart nginx

- name: enable nginx config
  become: true
  file:
    path: '/etc/nginx/sites-enabled/search-index.conf'
    src: '/etc/nginx/sites-available/search-index.conf'
    state: link
  notify:
    - restart nginx

- name: disable default config
  become: true
  file:
    path: /etc/nginx/sites-enabled/default
    state: absent
  notify:
    - restart nginx
